import es
import vecmath

info = es.AddonInfo()
info.basename = 'deathmap'
info.version = '0.1s'
info.name = 'Deathmap srcds part'
info.url = 'http://addons.eventscripts.com/addons/view/deathmap/'
info.description = 'Tracks deaths on maps and accumulates these stats to be viewed visually'

mypath = es.getAddonPath(__name__)
openfile = None

def es_map_start(ev):
    global openfile, filename
    if openfile:
        openfile.close()
    filename = mypath + '/data/'+ev['mapname']
    openfile = open(filename, 'a')

def load():
    mn = str(es.ServerVar('eventscripts_currentmap'))
    if mn:
        es_map_start({'mapname': mn})

    es.ServerVar('gj_deathmap_v', info.version, '%s version'%info.name).makepublic()

def unload():
    global openfile
    if openfile:
        openfile.close()
    openfile = None

def round_end(ev):
    if openfile:
        openfile.flush()

def player_death(ev):
    userid = int(ev['userid'])
    if userid:
        attacker = int(ev['attacker'])
        location = vecmath.vector(es.getplayerlocation(userid))
        userteam = int(ev['es_userteam'])
        if attacker:
            attackerteam = int(ev['es_attackerteam'])
            attacklocation = vecmath.vector(es.getplayerlocation(attacker))
        else:
            attackerteam = 0
            attacklocation = vecmath.vector("0,0,0")
        try:
            headshot = int(ev['headshot'])
        except ValueError:
            headshot = 0
        openfile.write("%d %d %d %s %s\n"%(
            userteam, attackerteam, headshot,
            str(location), str(attacklocation)
            )
                       )
        
